import { Client as MinioClient } from 'minio';
import { RemoteFileAttributes, RemoteFilePath } from './types/IRemoteFileStorage.js';
export declare class MinioRemoteFileStorage {
    #private;
    constructor({ minio }: {
        minio: MinioClient;
    });
    putObjectJson({ object, bucketName, filePath, encoding, metadata, }: {
        object: object;
    } & RemoteFileAttributes): Promise<string>;
    putObjectString({ stringValue, bucketName, filePath, encoding, metadata, }: {
        stringValue: string;
    } & RemoteFileAttributes): Promise<string>;
    putObjectBuffer({ buffer, bucketName, filePath, metadata, }: {
        buffer: Buffer;
    } & RemoteFileAttributes): Promise<string>;
    getFileBuffer({ bucketName, filePath }: RemoteFilePath): Promise<Buffer>;
}
