var __classPrivateFieldSet = (this && this.__classPrivateFieldSet) || function (receiver, state, value, kind, f) {
    if (kind === "m") throw new TypeError("Private method is not writable");
    if (kind === "a" && !f) throw new TypeError("Private accessor was defined without a setter");
    if (typeof state === "function" ? receiver !== state || !f : !state.has(receiver)) throw new TypeError("Cannot write private member to an object whose class did not declare it");
    return (kind === "a" ? f.call(receiver, value) : f ? f.value = value : state.set(receiver, value)), value;
};
var __classPrivateFieldGet = (this && this.__classPrivateFieldGet) || function (receiver, state, kind, f) {
    if (kind === "a" && !f) throw new TypeError("Private accessor was defined without a getter");
    if (typeof state === "function" ? receiver !== state || !f : !state.has(receiver)) throw new TypeError("Cannot read private member from an object whose class did not declare it");
    return kind === "m" ? f : kind === "a" ? f.call(receiver) : f ? f.value : state.get(receiver);
};
var _MinioRemoteFileStorage_minioClient;
export class MinioRemoteFileStorage {
    constructor({ minio }) {
        _MinioRemoteFileStorage_minioClient.set(this, void 0);
        __classPrivateFieldSet(this, _MinioRemoteFileStorage_minioClient, minio, "f");
    }
    async putObjectJson({ object, bucketName, filePath, encoding, metadata, }) {
        return this.putObjectString({
            bucketName,
            filePath,
            stringValue: JSON.stringify(object),
            encoding,
            metadata,
        });
    }
    async putObjectString({ stringValue, bucketName, filePath, encoding, metadata, }) {
        return this.putObjectBuffer({
            buffer: Buffer.from(stringValue, encoding),
            bucketName,
            filePath,
            metadata,
            encoding: 'binary',
        });
    }
    async putObjectBuffer({ buffer, bucketName, filePath, metadata, }) {
        const { etag, versionId } = await __classPrivateFieldGet(this, _MinioRemoteFileStorage_minioClient, "f").putObject(bucketName, filePath, buffer, undefined, metadata);
        return etag;
    }
    async getFileBuffer({ bucketName, filePath }) {
        const dataStream = await __classPrivateFieldGet(this, _MinioRemoteFileStorage_minioClient, "f").getObject(bucketName, filePath);
        return new Promise((resolve, reject) => {
            const dataChunks = [];
            dataStream.on('data', (chunk) => {
                dataChunks.push(chunk);
            });
            dataStream.on('end', () => {
                resolve(Buffer.concat(dataChunks));
            });
            dataStream.on('error', (error) => {
                reject(error);
            });
        });
    }
}
_MinioRemoteFileStorage_minioClient = new WeakMap();
//# sourceMappingURL=MinioRemoteFileStorage.js.map