import z from 'zod';
declare enum WorkerAvailabilityStatusEnum {
    Active = "active",
    Interrupted = "interrupted",
    Stopped = "stopped"
}
export declare const WorkerAvailabilityStatus: z.ZodNativeEnum<typeof WorkerAvailabilityStatusEnum>;
export type WorkerAvailabilityStatus = z.infer<typeof WorkerAvailabilityStatus>;
export declare const WorkerAvailability: z.ZodObject<{
    workerType: z.ZodString;
    workerName: z.ZodString;
    workerInstance: z.ZodString;
    state: z.ZodNativeEnum<typeof WorkerAvailabilityStatusEnum>;
    reason: z.ZodString;
    timestamp: z.ZodString;
}, "strip", z.ZodTypeAny, {
    workerType: string;
    workerName: string;
    workerInstance: string;
    state: WorkerAvailabilityStatusEnum;
    reason: string;
    timestamp: string;
}, {
    workerType: string;
    workerName: string;
    workerInstance: string;
    state: WorkerAvailabilityStatusEnum;
    reason: string;
    timestamp: string;
}>;
export type WorkerAvailability = z.infer<typeof WorkerAvailability>;
export {};
