import z from 'zod';
export declare const WorkerConfig: z.ZodObject<{
    name: z.ZodString;
    amqpHost: z.ZodString;
    amqpPass: z.ZodOptional<z.ZodString>;
    amqpPort: z.ZodNumber;
    amqpProtocol: z.ZodString;
    amqpUser: z.ZodOptional<z.ZodString>;
    exchangePrefix: z.ZodString;
    workerInstanceName: z.ZodString;
    prefetchLimit: z.ZodOptional<z.ZodNumber>;
    minioHost: z.ZodOptional<z.ZodString>;
    minioPort: z.ZodOptional<z.ZodNumber>;
    minioAccessKey: z.ZodOptional<z.ZodString>;
    minioSecretKey: z.ZodOptional<z.ZodString>;
    minioOutputBucketName: z.ZodOptional<z.ZodString>;
    minioDebugBucketName: z.ZodOptional<z.ZodString>;
    minioUseSSL: z.ZodOptional<z.ZodBoolean>;
}, "strip", z.ZodTypeAny, {
    name: string;
    amqpHost: string;
    amqpPort: number;
    amqpProtocol: string;
    exchangePrefix: string;
    workerInstanceName: string;
    amqpPass?: string | undefined;
    amqpUser?: string | undefined;
    prefetchLimit?: number | undefined;
    minioHost?: string | undefined;
    minioPort?: number | undefined;
    minioAccessKey?: string | undefined;
    minioSecretKey?: string | undefined;
    minioOutputBucketName?: string | undefined;
    minioDebugBucketName?: string | undefined;
    minioUseSSL?: boolean | undefined;
}, {
    name: string;
    amqpHost: string;
    amqpPort: number;
    amqpProtocol: string;
    exchangePrefix: string;
    workerInstanceName: string;
    amqpPass?: string | undefined;
    amqpUser?: string | undefined;
    prefetchLimit?: number | undefined;
    minioHost?: string | undefined;
    minioPort?: number | undefined;
    minioAccessKey?: string | undefined;
    minioSecretKey?: string | undefined;
    minioOutputBucketName?: string | undefined;
    minioDebugBucketName?: string | undefined;
    minioUseSSL?: boolean | undefined;
}>;
export type WorkerConfig = z.infer<typeof WorkerConfig>;
