import z from 'zod';
export declare const WorkerJob: z.ZodObject<{
    recordId: z.ZodString;
    bucketName: z.ZodOptional<z.ZodString>;
    filename: z.ZodOptional<z.ZodString>;
    fileType: z.ZodOptional<z.ZodString>;
    attributes: z.ZodObject<{}, "strip", z.ZodAny, z.objectOutputType<{}, z.ZodAny, "strip">, z.objectInputType<{}, z.ZodAny, "strip">>;
}, "strip", z.ZodTypeAny, {
    recordId: string;
    attributes: {} & {
        [k: string]: any;
    };
    bucketName?: string | undefined;
    filename?: string | undefined;
    fileType?: string | undefined;
}, {
    recordId: string;
    attributes: {} & {
        [k: string]: any;
    };
    bucketName?: string | undefined;
    filename?: string | undefined;
    fileType?: string | undefined;
}>;
export type WorkerJob = z.infer<typeof WorkerJob>;
export declare const WorkerJobAck: z.ZodObject<{
    recordId: z.ZodString;
    jobId: z.ZodString;
}, "strip", z.ZodTypeAny, {
    recordId: string;
    jobId: string;
}, {
    recordId: string;
    jobId: string;
}>;
export type WorkerJobAck = z.infer<typeof WorkerJobAck>;
