import z from 'zod';
export declare const AttributeWorkerResult: z.ZodObject<z.objectUtil.extendShape<{
    traceId: z.ZodString;
    recordId: z.ZodString;
    jobId: z.ZodString;
    timestamp: z.ZodNullable<z.ZodString>;
    success: z.ZodBoolean;
    confidence: z.ZodNumber;
    error: z.ZodNullable<z.ZodOptional<z.ZodObject<{
        code: z.ZodNumber;
        message: z.ZodString;
    }, "strip", z.ZodTypeAny, {
        code: number;
        message: string;
    }, {
        code: number;
        message: string;
    }>>>;
}, {
    stringResult: z.ZodNullable<z.ZodString>;
}>, "strip", z.ZodTypeAny, {
    timestamp: string | null;
    recordId: string;
    jobId: string;
    traceId: string;
    success: boolean;
    confidence: number;
    stringResult: string | null;
    error?: {
        code: number;
        message: string;
    } | null | undefined;
}, {
    timestamp: string | null;
    recordId: string;
    jobId: string;
    traceId: string;
    success: boolean;
    confidence: number;
    stringResult: string | null;
    error?: {
        code: number;
        message: string;
    } | null | undefined;
}>;
export type AttributeWorkerResult = z.infer<typeof AttributeWorkerResult>;
export declare const AttributeWorkerHandlerResult: z.ZodObject<Omit<z.objectUtil.extendShape<{
    traceId: z.ZodString;
    recordId: z.ZodString;
    jobId: z.ZodString;
    timestamp: z.ZodNullable<z.ZodString>;
    success: z.ZodBoolean;
    confidence: z.ZodNumber;
    error: z.ZodNullable<z.ZodOptional<z.ZodObject<{
        code: z.ZodNumber;
        message: z.ZodString;
    }, "strip", z.ZodTypeAny, {
        code: number;
        message: string;
    }, {
        code: number;
        message: string;
    }>>>;
}, {
    stringResult: z.ZodNullable<z.ZodString>;
}>, "timestamp" | "recordId" | "jobId" | "traceId">, "strip", z.ZodTypeAny, {
    success: boolean;
    confidence: number;
    stringResult: string | null;
    error?: {
        code: number;
        message: string;
    } | null | undefined;
}, {
    success: boolean;
    confidence: number;
    stringResult: string | null;
    error?: {
        code: number;
        message: string;
    } | null | undefined;
}>;
export type AttributeWorkerHandlerResult = z.infer<typeof AttributeWorkerHandlerResult>;
export declare const PageWorkerPDFInfo: z.ZodObject<{
    author: z.ZodNullable<z.ZodOptional<z.ZodString>>;
    creator: z.ZodNullable<z.ZodOptional<z.ZodString>>;
    producer: z.ZodNullable<z.ZodOptional<z.ZodString>>;
    title: z.ZodNullable<z.ZodOptional<z.ZodString>>;
    subject: z.ZodNullable<z.ZodOptional<z.ZodString>>;
    creationDate: z.ZodNullable<z.ZodOptional<z.ZodString>>;
    modificationDate: z.ZodNullable<z.ZodOptional<z.ZodString>>;
    pdfVersion: z.ZodNullable<z.ZodOptional<z.ZodString>>;
    pageSize: z.ZodNullable<z.ZodOptional<z.ZodString>>;
    form: z.ZodNullable<z.ZodOptional<z.ZodString>>;
    hasJavascript: z.ZodNullable<z.ZodOptional<z.ZodBoolean>>;
    isEncrypted: z.ZodNullable<z.ZodOptional<z.ZodBoolean>>;
}, "strip", z.ZodTypeAny, {
    author?: string | null | undefined;
    creator?: string | null | undefined;
    producer?: string | null | undefined;
    title?: string | null | undefined;
    subject?: string | null | undefined;
    creationDate?: string | null | undefined;
    modificationDate?: string | null | undefined;
    pdfVersion?: string | null | undefined;
    pageSize?: string | null | undefined;
    form?: string | null | undefined;
    hasJavascript?: boolean | null | undefined;
    isEncrypted?: boolean | null | undefined;
}, {
    author?: string | null | undefined;
    creator?: string | null | undefined;
    producer?: string | null | undefined;
    title?: string | null | undefined;
    subject?: string | null | undefined;
    creationDate?: string | null | undefined;
    modificationDate?: string | null | undefined;
    pdfVersion?: string | null | undefined;
    pageSize?: string | null | undefined;
    form?: string | null | undefined;
    hasJavascript?: boolean | null | undefined;
    isEncrypted?: boolean | null | undefined;
}>;
export type PageWorkerPDFInfo = z.infer<typeof PageWorkerPDFInfo>;
export declare const PageWorkerResult: z.ZodObject<z.objectUtil.extendShape<{
    traceId: z.ZodString;
    recordId: z.ZodString;
    jobId: z.ZodString;
    timestamp: z.ZodNullable<z.ZodString>;
    success: z.ZodBoolean;
    confidence: z.ZodNumber;
    error: z.ZodNullable<z.ZodOptional<z.ZodObject<{
        code: z.ZodNumber;
        message: z.ZodString;
    }, "strip", z.ZodTypeAny, {
        code: number;
        message: string;
    }, {
        code: number;
        message: string;
    }>>>;
}, {
    pageResult: z.ZodNullable<z.ZodObject<{
        pageCount: z.ZodNumber;
        bucketName: z.ZodString;
        bucketPath: z.ZodString;
        fileExtension: z.ZodString;
        pdfInfo: z.ZodObject<{
            author: z.ZodNullable<z.ZodOptional<z.ZodString>>;
            creator: z.ZodNullable<z.ZodOptional<z.ZodString>>;
            producer: z.ZodNullable<z.ZodOptional<z.ZodString>>;
            title: z.ZodNullable<z.ZodOptional<z.ZodString>>;
            subject: z.ZodNullable<z.ZodOptional<z.ZodString>>;
            creationDate: z.ZodNullable<z.ZodOptional<z.ZodString>>;
            modificationDate: z.ZodNullable<z.ZodOptional<z.ZodString>>;
            pdfVersion: z.ZodNullable<z.ZodOptional<z.ZodString>>;
            pageSize: z.ZodNullable<z.ZodOptional<z.ZodString>>;
            form: z.ZodNullable<z.ZodOptional<z.ZodString>>;
            hasJavascript: z.ZodNullable<z.ZodOptional<z.ZodBoolean>>;
            isEncrypted: z.ZodNullable<z.ZodOptional<z.ZodBoolean>>;
        }, "strip", z.ZodTypeAny, {
            author?: string | null | undefined;
            creator?: string | null | undefined;
            producer?: string | null | undefined;
            title?: string | null | undefined;
            subject?: string | null | undefined;
            creationDate?: string | null | undefined;
            modificationDate?: string | null | undefined;
            pdfVersion?: string | null | undefined;
            pageSize?: string | null | undefined;
            form?: string | null | undefined;
            hasJavascript?: boolean | null | undefined;
            isEncrypted?: boolean | null | undefined;
        }, {
            author?: string | null | undefined;
            creator?: string | null | undefined;
            producer?: string | null | undefined;
            title?: string | null | undefined;
            subject?: string | null | undefined;
            creationDate?: string | null | undefined;
            modificationDate?: string | null | undefined;
            pdfVersion?: string | null | undefined;
            pageSize?: string | null | undefined;
            form?: string | null | undefined;
            hasJavascript?: boolean | null | undefined;
            isEncrypted?: boolean | null | undefined;
        }>;
    }, "strip", z.ZodTypeAny, {
        bucketName: string;
        pageCount: number;
        bucketPath: string;
        fileExtension: string;
        pdfInfo: {
            author?: string | null | undefined;
            creator?: string | null | undefined;
            producer?: string | null | undefined;
            title?: string | null | undefined;
            subject?: string | null | undefined;
            creationDate?: string | null | undefined;
            modificationDate?: string | null | undefined;
            pdfVersion?: string | null | undefined;
            pageSize?: string | null | undefined;
            form?: string | null | undefined;
            hasJavascript?: boolean | null | undefined;
            isEncrypted?: boolean | null | undefined;
        };
    }, {
        bucketName: string;
        pageCount: number;
        bucketPath: string;
        fileExtension: string;
        pdfInfo: {
            author?: string | null | undefined;
            creator?: string | null | undefined;
            producer?: string | null | undefined;
            title?: string | null | undefined;
            subject?: string | null | undefined;
            creationDate?: string | null | undefined;
            modificationDate?: string | null | undefined;
            pdfVersion?: string | null | undefined;
            pageSize?: string | null | undefined;
            form?: string | null | undefined;
            hasJavascript?: boolean | null | undefined;
            isEncrypted?: boolean | null | undefined;
        };
    }>>;
}>, "strip", z.ZodTypeAny, {
    timestamp: string | null;
    recordId: string;
    jobId: string;
    traceId: string;
    success: boolean;
    confidence: number;
    pageResult: {
        bucketName: string;
        pageCount: number;
        bucketPath: string;
        fileExtension: string;
        pdfInfo: {
            author?: string | null | undefined;
            creator?: string | null | undefined;
            producer?: string | null | undefined;
            title?: string | null | undefined;
            subject?: string | null | undefined;
            creationDate?: string | null | undefined;
            modificationDate?: string | null | undefined;
            pdfVersion?: string | null | undefined;
            pageSize?: string | null | undefined;
            form?: string | null | undefined;
            hasJavascript?: boolean | null | undefined;
            isEncrypted?: boolean | null | undefined;
        };
    } | null;
    error?: {
        code: number;
        message: string;
    } | null | undefined;
}, {
    timestamp: string | null;
    recordId: string;
    jobId: string;
    traceId: string;
    success: boolean;
    confidence: number;
    pageResult: {
        bucketName: string;
        pageCount: number;
        bucketPath: string;
        fileExtension: string;
        pdfInfo: {
            author?: string | null | undefined;
            creator?: string | null | undefined;
            producer?: string | null | undefined;
            title?: string | null | undefined;
            subject?: string | null | undefined;
            creationDate?: string | null | undefined;
            modificationDate?: string | null | undefined;
            pdfVersion?: string | null | undefined;
            pageSize?: string | null | undefined;
            form?: string | null | undefined;
            hasJavascript?: boolean | null | undefined;
            isEncrypted?: boolean | null | undefined;
        };
    } | null;
    error?: {
        code: number;
        message: string;
    } | null | undefined;
}>;
export type PageWorkerResult = z.infer<typeof PageWorkerResult>;
export declare const PageWorkerHandlerResult: z.ZodObject<Omit<z.objectUtil.extendShape<{
    traceId: z.ZodString;
    recordId: z.ZodString;
    jobId: z.ZodString;
    timestamp: z.ZodNullable<z.ZodString>;
    success: z.ZodBoolean;
    confidence: z.ZodNumber;
    error: z.ZodNullable<z.ZodOptional<z.ZodObject<{
        code: z.ZodNumber;
        message: z.ZodString;
    }, "strip", z.ZodTypeAny, {
        code: number;
        message: string;
    }, {
        code: number;
        message: string;
    }>>>;
}, {
    pageResult: z.ZodNullable<z.ZodObject<{
        pageCount: z.ZodNumber;
        bucketName: z.ZodString;
        bucketPath: z.ZodString;
        fileExtension: z.ZodString;
        pdfInfo: z.ZodObject<{
            author: z.ZodNullable<z.ZodOptional<z.ZodString>>;
            creator: z.ZodNullable<z.ZodOptional<z.ZodString>>;
            producer: z.ZodNullable<z.ZodOptional<z.ZodString>>;
            title: z.ZodNullable<z.ZodOptional<z.ZodString>>;
            subject: z.ZodNullable<z.ZodOptional<z.ZodString>>;
            creationDate: z.ZodNullable<z.ZodOptional<z.ZodString>>;
            modificationDate: z.ZodNullable<z.ZodOptional<z.ZodString>>;
            pdfVersion: z.ZodNullable<z.ZodOptional<z.ZodString>>;
            pageSize: z.ZodNullable<z.ZodOptional<z.ZodString>>;
            form: z.ZodNullable<z.ZodOptional<z.ZodString>>;
            hasJavascript: z.ZodNullable<z.ZodOptional<z.ZodBoolean>>;
            isEncrypted: z.ZodNullable<z.ZodOptional<z.ZodBoolean>>;
        }, "strip", z.ZodTypeAny, {
            author?: string | null | undefined;
            creator?: string | null | undefined;
            producer?: string | null | undefined;
            title?: string | null | undefined;
            subject?: string | null | undefined;
            creationDate?: string | null | undefined;
            modificationDate?: string | null | undefined;
            pdfVersion?: string | null | undefined;
            pageSize?: string | null | undefined;
            form?: string | null | undefined;
            hasJavascript?: boolean | null | undefined;
            isEncrypted?: boolean | null | undefined;
        }, {
            author?: string | null | undefined;
            creator?: string | null | undefined;
            producer?: string | null | undefined;
            title?: string | null | undefined;
            subject?: string | null | undefined;
            creationDate?: string | null | undefined;
            modificationDate?: string | null | undefined;
            pdfVersion?: string | null | undefined;
            pageSize?: string | null | undefined;
            form?: string | null | undefined;
            hasJavascript?: boolean | null | undefined;
            isEncrypted?: boolean | null | undefined;
        }>;
    }, "strip", z.ZodTypeAny, {
        bucketName: string;
        pageCount: number;
        bucketPath: string;
        fileExtension: string;
        pdfInfo: {
            author?: string | null | undefined;
            creator?: string | null | undefined;
            producer?: string | null | undefined;
            title?: string | null | undefined;
            subject?: string | null | undefined;
            creationDate?: string | null | undefined;
            modificationDate?: string | null | undefined;
            pdfVersion?: string | null | undefined;
            pageSize?: string | null | undefined;
            form?: string | null | undefined;
            hasJavascript?: boolean | null | undefined;
            isEncrypted?: boolean | null | undefined;
        };
    }, {
        bucketName: string;
        pageCount: number;
        bucketPath: string;
        fileExtension: string;
        pdfInfo: {
            author?: string | null | undefined;
            creator?: string | null | undefined;
            producer?: string | null | undefined;
            title?: string | null | undefined;
            subject?: string | null | undefined;
            creationDate?: string | null | undefined;
            modificationDate?: string | null | undefined;
            pdfVersion?: string | null | undefined;
            pageSize?: string | null | undefined;
            form?: string | null | undefined;
            hasJavascript?: boolean | null | undefined;
            isEncrypted?: boolean | null | undefined;
        };
    }>>;
}>, "timestamp" | "recordId" | "jobId" | "traceId">, "strip", z.ZodTypeAny, {
    success: boolean;
    confidence: number;
    pageResult: {
        bucketName: string;
        pageCount: number;
        bucketPath: string;
        fileExtension: string;
        pdfInfo: {
            author?: string | null | undefined;
            creator?: string | null | undefined;
            producer?: string | null | undefined;
            title?: string | null | undefined;
            subject?: string | null | undefined;
            creationDate?: string | null | undefined;
            modificationDate?: string | null | undefined;
            pdfVersion?: string | null | undefined;
            pageSize?: string | null | undefined;
            form?: string | null | undefined;
            hasJavascript?: boolean | null | undefined;
            isEncrypted?: boolean | null | undefined;
        };
    } | null;
    error?: {
        code: number;
        message: string;
    } | null | undefined;
}, {
    success: boolean;
    confidence: number;
    pageResult: {
        bucketName: string;
        pageCount: number;
        bucketPath: string;
        fileExtension: string;
        pdfInfo: {
            author?: string | null | undefined;
            creator?: string | null | undefined;
            producer?: string | null | undefined;
            title?: string | null | undefined;
            subject?: string | null | undefined;
            creationDate?: string | null | undefined;
            modificationDate?: string | null | undefined;
            pdfVersion?: string | null | undefined;
            pageSize?: string | null | undefined;
            form?: string | null | undefined;
            hasJavascript?: boolean | null | undefined;
            isEncrypted?: boolean | null | undefined;
        };
    } | null;
    error?: {
        code: number;
        message: string;
    } | null | undefined;
}>;
export type PageWorkerHandlerResult = z.infer<typeof PageWorkerHandlerResult>;
export declare const ElementWorkerResult: z.ZodObject<z.objectUtil.extendShape<{
    traceId: z.ZodString;
    recordId: z.ZodString;
    jobId: z.ZodString;
    timestamp: z.ZodNullable<z.ZodString>;
    success: z.ZodBoolean;
    confidence: z.ZodNumber;
    error: z.ZodNullable<z.ZodOptional<z.ZodObject<{
        code: z.ZodNumber;
        message: z.ZodString;
    }, "strip", z.ZodTypeAny, {
        code: number;
        message: string;
    }, {
        code: number;
        message: string;
    }>>>;
}, {
    elementResult: z.ZodNullable<z.ZodObject<{
        elementCount: z.ZodNumber;
        bucketName: z.ZodString;
        bucketPath: z.ZodString;
        fileExtension: z.ZodString;
    }, "strip", z.ZodTypeAny, {
        bucketName: string;
        bucketPath: string;
        fileExtension: string;
        elementCount: number;
    }, {
        bucketName: string;
        bucketPath: string;
        fileExtension: string;
        elementCount: number;
    }>>;
}>, "strip", z.ZodTypeAny, {
    timestamp: string | null;
    recordId: string;
    jobId: string;
    traceId: string;
    success: boolean;
    confidence: number;
    elementResult: {
        bucketName: string;
        bucketPath: string;
        fileExtension: string;
        elementCount: number;
    } | null;
    error?: {
        code: number;
        message: string;
    } | null | undefined;
}, {
    timestamp: string | null;
    recordId: string;
    jobId: string;
    traceId: string;
    success: boolean;
    confidence: number;
    elementResult: {
        bucketName: string;
        bucketPath: string;
        fileExtension: string;
        elementCount: number;
    } | null;
    error?: {
        code: number;
        message: string;
    } | null | undefined;
}>;
export type ElementWorkerResult = z.infer<typeof ElementWorkerResult>;
export declare const ElementWorkerHandlerResult: z.ZodObject<Omit<z.objectUtil.extendShape<{
    traceId: z.ZodString;
    recordId: z.ZodString;
    jobId: z.ZodString;
    timestamp: z.ZodNullable<z.ZodString>;
    success: z.ZodBoolean;
    confidence: z.ZodNumber;
    error: z.ZodNullable<z.ZodOptional<z.ZodObject<{
        code: z.ZodNumber;
        message: z.ZodString;
    }, "strip", z.ZodTypeAny, {
        code: number;
        message: string;
    }, {
        code: number;
        message: string;
    }>>>;
}, {
    elementResult: z.ZodNullable<z.ZodObject<{
        elementCount: z.ZodNumber;
        bucketName: z.ZodString;
        bucketPath: z.ZodString;
        fileExtension: z.ZodString;
    }, "strip", z.ZodTypeAny, {
        bucketName: string;
        bucketPath: string;
        fileExtension: string;
        elementCount: number;
    }, {
        bucketName: string;
        bucketPath: string;
        fileExtension: string;
        elementCount: number;
    }>>;
}>, "timestamp" | "recordId" | "jobId" | "traceId">, "strip", z.ZodTypeAny, {
    success: boolean;
    confidence: number;
    elementResult: {
        bucketName: string;
        bucketPath: string;
        fileExtension: string;
        elementCount: number;
    } | null;
    error?: {
        code: number;
        message: string;
    } | null | undefined;
}, {
    success: boolean;
    confidence: number;
    elementResult: {
        bucketName: string;
        bucketPath: string;
        fileExtension: string;
        elementCount: number;
    } | null;
    error?: {
        code: number;
        message: string;
    } | null | undefined;
}>;
export type ElementWorkerHandlerResult = z.infer<typeof ElementWorkerHandlerResult>;
export declare const FileWorkerResult: z.ZodObject<z.objectUtil.extendShape<{
    traceId: z.ZodString;
    recordId: z.ZodString;
    jobId: z.ZodString;
    timestamp: z.ZodNullable<z.ZodString>;
    success: z.ZodBoolean;
    confidence: z.ZodNumber;
    error: z.ZodNullable<z.ZodOptional<z.ZodObject<{
        code: z.ZodNumber;
        message: z.ZodString;
    }, "strip", z.ZodTypeAny, {
        code: number;
        message: string;
    }, {
        code: number;
        message: string;
    }>>>;
}, {
    fileResult: z.ZodNullable<z.ZodObject<{
        bucketName: z.ZodString;
        bucketPath: z.ZodString;
        fileExtension: z.ZodString;
        fileType: z.ZodString;
    }, "strip", z.ZodTypeAny, {
        bucketName: string;
        fileType: string;
        bucketPath: string;
        fileExtension: string;
    }, {
        bucketName: string;
        fileType: string;
        bucketPath: string;
        fileExtension: string;
    }>>;
}>, "strip", z.ZodTypeAny, {
    timestamp: string | null;
    recordId: string;
    jobId: string;
    traceId: string;
    success: boolean;
    confidence: number;
    fileResult: {
        bucketName: string;
        fileType: string;
        bucketPath: string;
        fileExtension: string;
    } | null;
    error?: {
        code: number;
        message: string;
    } | null | undefined;
}, {
    timestamp: string | null;
    recordId: string;
    jobId: string;
    traceId: string;
    success: boolean;
    confidence: number;
    fileResult: {
        bucketName: string;
        fileType: string;
        bucketPath: string;
        fileExtension: string;
    } | null;
    error?: {
        code: number;
        message: string;
    } | null | undefined;
}>;
export type FileWorkerResult = z.infer<typeof FileWorkerResult>;
export declare const FileWorkerHandlerResult: z.ZodObject<Omit<z.objectUtil.extendShape<{
    traceId: z.ZodString;
    recordId: z.ZodString;
    jobId: z.ZodString;
    timestamp: z.ZodNullable<z.ZodString>;
    success: z.ZodBoolean;
    confidence: z.ZodNumber;
    error: z.ZodNullable<z.ZodOptional<z.ZodObject<{
        code: z.ZodNumber;
        message: z.ZodString;
    }, "strip", z.ZodTypeAny, {
        code: number;
        message: string;
    }, {
        code: number;
        message: string;
    }>>>;
}, {
    fileResult: z.ZodNullable<z.ZodObject<{
        bucketName: z.ZodString;
        bucketPath: z.ZodString;
        fileExtension: z.ZodString;
        fileType: z.ZodString;
    }, "strip", z.ZodTypeAny, {
        bucketName: string;
        fileType: string;
        bucketPath: string;
        fileExtension: string;
    }, {
        bucketName: string;
        fileType: string;
        bucketPath: string;
        fileExtension: string;
    }>>;
}>, "timestamp" | "recordId" | "jobId" | "traceId">, "strip", z.ZodTypeAny, {
    success: boolean;
    confidence: number;
    fileResult: {
        bucketName: string;
        fileType: string;
        bucketPath: string;
        fileExtension: string;
    } | null;
    error?: {
        code: number;
        message: string;
    } | null | undefined;
}, {
    success: boolean;
    confidence: number;
    fileResult: {
        bucketName: string;
        fileType: string;
        bucketPath: string;
        fileExtension: string;
    } | null;
    error?: {
        code: number;
        message: string;
    } | null | undefined;
}>;
export type FileWorkerHandlerResult = z.infer<typeof FileWorkerHandlerResult>;
export declare const WorkerResult: z.ZodUnion<[z.ZodObject<z.objectUtil.extendShape<{
    traceId: z.ZodString;
    recordId: z.ZodString;
    jobId: z.ZodString;
    timestamp: z.ZodNullable<z.ZodString>;
    success: z.ZodBoolean;
    confidence: z.ZodNumber;
    error: z.ZodNullable<z.ZodOptional<z.ZodObject<{
        code: z.ZodNumber;
        message: z.ZodString;
    }, "strip", z.ZodTypeAny, {
        code: number;
        message: string;
    }, {
        code: number;
        message: string;
    }>>>;
}, {
    stringResult: z.ZodNullable<z.ZodString>;
}>, "strip", z.ZodTypeAny, {
    timestamp: string | null;
    recordId: string;
    jobId: string;
    traceId: string;
    success: boolean;
    confidence: number;
    stringResult: string | null;
    error?: {
        code: number;
        message: string;
    } | null | undefined;
}, {
    timestamp: string | null;
    recordId: string;
    jobId: string;
    traceId: string;
    success: boolean;
    confidence: number;
    stringResult: string | null;
    error?: {
        code: number;
        message: string;
    } | null | undefined;
}>, z.ZodObject<z.objectUtil.extendShape<{
    traceId: z.ZodString;
    recordId: z.ZodString;
    jobId: z.ZodString;
    timestamp: z.ZodNullable<z.ZodString>;
    success: z.ZodBoolean;
    confidence: z.ZodNumber;
    error: z.ZodNullable<z.ZodOptional<z.ZodObject<{
        code: z.ZodNumber;
        message: z.ZodString;
    }, "strip", z.ZodTypeAny, {
        code: number;
        message: string;
    }, {
        code: number;
        message: string;
    }>>>;
}, {
    pageResult: z.ZodNullable<z.ZodObject<{
        pageCount: z.ZodNumber;
        bucketName: z.ZodString;
        bucketPath: z.ZodString;
        fileExtension: z.ZodString;
        pdfInfo: z.ZodObject<{
            author: z.ZodNullable<z.ZodOptional<z.ZodString>>;
            creator: z.ZodNullable<z.ZodOptional<z.ZodString>>;
            producer: z.ZodNullable<z.ZodOptional<z.ZodString>>;
            title: z.ZodNullable<z.ZodOptional<z.ZodString>>;
            subject: z.ZodNullable<z.ZodOptional<z.ZodString>>;
            creationDate: z.ZodNullable<z.ZodOptional<z.ZodString>>;
            modificationDate: z.ZodNullable<z.ZodOptional<z.ZodString>>;
            pdfVersion: z.ZodNullable<z.ZodOptional<z.ZodString>>;
            pageSize: z.ZodNullable<z.ZodOptional<z.ZodString>>;
            form: z.ZodNullable<z.ZodOptional<z.ZodString>>;
            hasJavascript: z.ZodNullable<z.ZodOptional<z.ZodBoolean>>;
            isEncrypted: z.ZodNullable<z.ZodOptional<z.ZodBoolean>>;
        }, "strip", z.ZodTypeAny, {
            author?: string | null | undefined;
            creator?: string | null | undefined;
            producer?: string | null | undefined;
            title?: string | null | undefined;
            subject?: string | null | undefined;
            creationDate?: string | null | undefined;
            modificationDate?: string | null | undefined;
            pdfVersion?: string | null | undefined;
            pageSize?: string | null | undefined;
            form?: string | null | undefined;
            hasJavascript?: boolean | null | undefined;
            isEncrypted?: boolean | null | undefined;
        }, {
            author?: string | null | undefined;
            creator?: string | null | undefined;
            producer?: string | null | undefined;
            title?: string | null | undefined;
            subject?: string | null | undefined;
            creationDate?: string | null | undefined;
            modificationDate?: string | null | undefined;
            pdfVersion?: string | null | undefined;
            pageSize?: string | null | undefined;
            form?: string | null | undefined;
            hasJavascript?: boolean | null | undefined;
            isEncrypted?: boolean | null | undefined;
        }>;
    }, "strip", z.ZodTypeAny, {
        bucketName: string;
        pageCount: number;
        bucketPath: string;
        fileExtension: string;
        pdfInfo: {
            author?: string | null | undefined;
            creator?: string | null | undefined;
            producer?: string | null | undefined;
            title?: string | null | undefined;
            subject?: string | null | undefined;
            creationDate?: string | null | undefined;
            modificationDate?: string | null | undefined;
            pdfVersion?: string | null | undefined;
            pageSize?: string | null | undefined;
            form?: string | null | undefined;
            hasJavascript?: boolean | null | undefined;
            isEncrypted?: boolean | null | undefined;
        };
    }, {
        bucketName: string;
        pageCount: number;
        bucketPath: string;
        fileExtension: string;
        pdfInfo: {
            author?: string | null | undefined;
            creator?: string | null | undefined;
            producer?: string | null | undefined;
            title?: string | null | undefined;
            subject?: string | null | undefined;
            creationDate?: string | null | undefined;
            modificationDate?: string | null | undefined;
            pdfVersion?: string | null | undefined;
            pageSize?: string | null | undefined;
            form?: string | null | undefined;
            hasJavascript?: boolean | null | undefined;
            isEncrypted?: boolean | null | undefined;
        };
    }>>;
}>, "strip", z.ZodTypeAny, {
    timestamp: string | null;
    recordId: string;
    jobId: string;
    traceId: string;
    success: boolean;
    confidence: number;
    pageResult: {
        bucketName: string;
        pageCount: number;
        bucketPath: string;
        fileExtension: string;
        pdfInfo: {
            author?: string | null | undefined;
            creator?: string | null | undefined;
            producer?: string | null | undefined;
            title?: string | null | undefined;
            subject?: string | null | undefined;
            creationDate?: string | null | undefined;
            modificationDate?: string | null | undefined;
            pdfVersion?: string | null | undefined;
            pageSize?: string | null | undefined;
            form?: string | null | undefined;
            hasJavascript?: boolean | null | undefined;
            isEncrypted?: boolean | null | undefined;
        };
    } | null;
    error?: {
        code: number;
        message: string;
    } | null | undefined;
}, {
    timestamp: string | null;
    recordId: string;
    jobId: string;
    traceId: string;
    success: boolean;
    confidence: number;
    pageResult: {
        bucketName: string;
        pageCount: number;
        bucketPath: string;
        fileExtension: string;
        pdfInfo: {
            author?: string | null | undefined;
            creator?: string | null | undefined;
            producer?: string | null | undefined;
            title?: string | null | undefined;
            subject?: string | null | undefined;
            creationDate?: string | null | undefined;
            modificationDate?: string | null | undefined;
            pdfVersion?: string | null | undefined;
            pageSize?: string | null | undefined;
            form?: string | null | undefined;
            hasJavascript?: boolean | null | undefined;
            isEncrypted?: boolean | null | undefined;
        };
    } | null;
    error?: {
        code: number;
        message: string;
    } | null | undefined;
}>, z.ZodObject<z.objectUtil.extendShape<{
    traceId: z.ZodString;
    recordId: z.ZodString;
    jobId: z.ZodString;
    timestamp: z.ZodNullable<z.ZodString>;
    success: z.ZodBoolean;
    confidence: z.ZodNumber;
    error: z.ZodNullable<z.ZodOptional<z.ZodObject<{
        code: z.ZodNumber;
        message: z.ZodString;
    }, "strip", z.ZodTypeAny, {
        code: number;
        message: string;
    }, {
        code: number;
        message: string;
    }>>>;
}, {
    elementResult: z.ZodNullable<z.ZodObject<{
        elementCount: z.ZodNumber;
        bucketName: z.ZodString;
        bucketPath: z.ZodString;
        fileExtension: z.ZodString;
    }, "strip", z.ZodTypeAny, {
        bucketName: string;
        bucketPath: string;
        fileExtension: string;
        elementCount: number;
    }, {
        bucketName: string;
        bucketPath: string;
        fileExtension: string;
        elementCount: number;
    }>>;
}>, "strip", z.ZodTypeAny, {
    timestamp: string | null;
    recordId: string;
    jobId: string;
    traceId: string;
    success: boolean;
    confidence: number;
    elementResult: {
        bucketName: string;
        bucketPath: string;
        fileExtension: string;
        elementCount: number;
    } | null;
    error?: {
        code: number;
        message: string;
    } | null | undefined;
}, {
    timestamp: string | null;
    recordId: string;
    jobId: string;
    traceId: string;
    success: boolean;
    confidence: number;
    elementResult: {
        bucketName: string;
        bucketPath: string;
        fileExtension: string;
        elementCount: number;
    } | null;
    error?: {
        code: number;
        message: string;
    } | null | undefined;
}>, z.ZodObject<z.objectUtil.extendShape<{
    traceId: z.ZodString;
    recordId: z.ZodString;
    jobId: z.ZodString;
    timestamp: z.ZodNullable<z.ZodString>;
    success: z.ZodBoolean;
    confidence: z.ZodNumber;
    error: z.ZodNullable<z.ZodOptional<z.ZodObject<{
        code: z.ZodNumber;
        message: z.ZodString;
    }, "strip", z.ZodTypeAny, {
        code: number;
        message: string;
    }, {
        code: number;
        message: string;
    }>>>;
}, {
    fileResult: z.ZodNullable<z.ZodObject<{
        bucketName: z.ZodString;
        bucketPath: z.ZodString;
        fileExtension: z.ZodString;
        fileType: z.ZodString;
    }, "strip", z.ZodTypeAny, {
        bucketName: string;
        fileType: string;
        bucketPath: string;
        fileExtension: string;
    }, {
        bucketName: string;
        fileType: string;
        bucketPath: string;
        fileExtension: string;
    }>>;
}>, "strip", z.ZodTypeAny, {
    timestamp: string | null;
    recordId: string;
    jobId: string;
    traceId: string;
    success: boolean;
    confidence: number;
    fileResult: {
        bucketName: string;
        fileType: string;
        bucketPath: string;
        fileExtension: string;
    } | null;
    error?: {
        code: number;
        message: string;
    } | null | undefined;
}, {
    timestamp: string | null;
    recordId: string;
    jobId: string;
    traceId: string;
    success: boolean;
    confidence: number;
    fileResult: {
        bucketName: string;
        fileType: string;
        bucketPath: string;
        fileExtension: string;
    } | null;
    error?: {
        code: number;
        message: string;
    } | null | undefined;
}>]>;
export type WorkerResult = z.infer<typeof WorkerResult>;
export declare const WorkerMessageHandlerResult: z.ZodUnion<[z.ZodObject<Omit<z.objectUtil.extendShape<{
    traceId: z.ZodString;
    recordId: z.ZodString;
    jobId: z.ZodString;
    timestamp: z.ZodNullable<z.ZodString>;
    success: z.ZodBoolean;
    confidence: z.ZodNumber;
    error: z.ZodNullable<z.ZodOptional<z.ZodObject<{
        code: z.ZodNumber;
        message: z.ZodString;
    }, "strip", z.ZodTypeAny, {
        code: number;
        message: string;
    }, {
        code: number;
        message: string;
    }>>>;
}, {
    stringResult: z.ZodNullable<z.ZodString>;
}>, "timestamp" | "recordId" | "jobId" | "traceId">, "strip", z.ZodTypeAny, {
    success: boolean;
    confidence: number;
    stringResult: string | null;
    error?: {
        code: number;
        message: string;
    } | null | undefined;
}, {
    success: boolean;
    confidence: number;
    stringResult: string | null;
    error?: {
        code: number;
        message: string;
    } | null | undefined;
}>, z.ZodObject<Omit<z.objectUtil.extendShape<{
    traceId: z.ZodString;
    recordId: z.ZodString;
    jobId: z.ZodString;
    timestamp: z.ZodNullable<z.ZodString>;
    success: z.ZodBoolean;
    confidence: z.ZodNumber;
    error: z.ZodNullable<z.ZodOptional<z.ZodObject<{
        code: z.ZodNumber;
        message: z.ZodString;
    }, "strip", z.ZodTypeAny, {
        code: number;
        message: string;
    }, {
        code: number;
        message: string;
    }>>>;
}, {
    pageResult: z.ZodNullable<z.ZodObject<{
        pageCount: z.ZodNumber;
        bucketName: z.ZodString;
        bucketPath: z.ZodString;
        fileExtension: z.ZodString;
        pdfInfo: z.ZodObject<{
            author: z.ZodNullable<z.ZodOptional<z.ZodString>>;
            creator: z.ZodNullable<z.ZodOptional<z.ZodString>>;
            producer: z.ZodNullable<z.ZodOptional<z.ZodString>>;
            title: z.ZodNullable<z.ZodOptional<z.ZodString>>;
            subject: z.ZodNullable<z.ZodOptional<z.ZodString>>;
            creationDate: z.ZodNullable<z.ZodOptional<z.ZodString>>;
            modificationDate: z.ZodNullable<z.ZodOptional<z.ZodString>>;
            pdfVersion: z.ZodNullable<z.ZodOptional<z.ZodString>>;
            pageSize: z.ZodNullable<z.ZodOptional<z.ZodString>>;
            form: z.ZodNullable<z.ZodOptional<z.ZodString>>;
            hasJavascript: z.ZodNullable<z.ZodOptional<z.ZodBoolean>>;
            isEncrypted: z.ZodNullable<z.ZodOptional<z.ZodBoolean>>;
        }, "strip", z.ZodTypeAny, {
            author?: string | null | undefined;
            creator?: string | null | undefined;
            producer?: string | null | undefined;
            title?: string | null | undefined;
            subject?: string | null | undefined;
            creationDate?: string | null | undefined;
            modificationDate?: string | null | undefined;
            pdfVersion?: string | null | undefined;
            pageSize?: string | null | undefined;
            form?: string | null | undefined;
            hasJavascript?: boolean | null | undefined;
            isEncrypted?: boolean | null | undefined;
        }, {
            author?: string | null | undefined;
            creator?: string | null | undefined;
            producer?: string | null | undefined;
            title?: string | null | undefined;
            subject?: string | null | undefined;
            creationDate?: string | null | undefined;
            modificationDate?: string | null | undefined;
            pdfVersion?: string | null | undefined;
            pageSize?: string | null | undefined;
            form?: string | null | undefined;
            hasJavascript?: boolean | null | undefined;
            isEncrypted?: boolean | null | undefined;
        }>;
    }, "strip", z.ZodTypeAny, {
        bucketName: string;
        pageCount: number;
        bucketPath: string;
        fileExtension: string;
        pdfInfo: {
            author?: string | null | undefined;
            creator?: string | null | undefined;
            producer?: string | null | undefined;
            title?: string | null | undefined;
            subject?: string | null | undefined;
            creationDate?: string | null | undefined;
            modificationDate?: string | null | undefined;
            pdfVersion?: string | null | undefined;
            pageSize?: string | null | undefined;
            form?: string | null | undefined;
            hasJavascript?: boolean | null | undefined;
            isEncrypted?: boolean | null | undefined;
        };
    }, {
        bucketName: string;
        pageCount: number;
        bucketPath: string;
        fileExtension: string;
        pdfInfo: {
            author?: string | null | undefined;
            creator?: string | null | undefined;
            producer?: string | null | undefined;
            title?: string | null | undefined;
            subject?: string | null | undefined;
            creationDate?: string | null | undefined;
            modificationDate?: string | null | undefined;
            pdfVersion?: string | null | undefined;
            pageSize?: string | null | undefined;
            form?: string | null | undefined;
            hasJavascript?: boolean | null | undefined;
            isEncrypted?: boolean | null | undefined;
        };
    }>>;
}>, "timestamp" | "recordId" | "jobId" | "traceId">, "strip", z.ZodTypeAny, {
    success: boolean;
    confidence: number;
    pageResult: {
        bucketName: string;
        pageCount: number;
        bucketPath: string;
        fileExtension: string;
        pdfInfo: {
            author?: string | null | undefined;
            creator?: string | null | undefined;
            producer?: string | null | undefined;
            title?: string | null | undefined;
            subject?: string | null | undefined;
            creationDate?: string | null | undefined;
            modificationDate?: string | null | undefined;
            pdfVersion?: string | null | undefined;
            pageSize?: string | null | undefined;
            form?: string | null | undefined;
            hasJavascript?: boolean | null | undefined;
            isEncrypted?: boolean | null | undefined;
        };
    } | null;
    error?: {
        code: number;
        message: string;
    } | null | undefined;
}, {
    success: boolean;
    confidence: number;
    pageResult: {
        bucketName: string;
        pageCount: number;
        bucketPath: string;
        fileExtension: string;
        pdfInfo: {
            author?: string | null | undefined;
            creator?: string | null | undefined;
            producer?: string | null | undefined;
            title?: string | null | undefined;
            subject?: string | null | undefined;
            creationDate?: string | null | undefined;
            modificationDate?: string | null | undefined;
            pdfVersion?: string | null | undefined;
            pageSize?: string | null | undefined;
            form?: string | null | undefined;
            hasJavascript?: boolean | null | undefined;
            isEncrypted?: boolean | null | undefined;
        };
    } | null;
    error?: {
        code: number;
        message: string;
    } | null | undefined;
}>, z.ZodObject<Omit<z.objectUtil.extendShape<{
    traceId: z.ZodString;
    recordId: z.ZodString;
    jobId: z.ZodString;
    timestamp: z.ZodNullable<z.ZodString>;
    success: z.ZodBoolean;
    confidence: z.ZodNumber;
    error: z.ZodNullable<z.ZodOptional<z.ZodObject<{
        code: z.ZodNumber;
        message: z.ZodString;
    }, "strip", z.ZodTypeAny, {
        code: number;
        message: string;
    }, {
        code: number;
        message: string;
    }>>>;
}, {
    elementResult: z.ZodNullable<z.ZodObject<{
        elementCount: z.ZodNumber;
        bucketName: z.ZodString;
        bucketPath: z.ZodString;
        fileExtension: z.ZodString;
    }, "strip", z.ZodTypeAny, {
        bucketName: string;
        bucketPath: string;
        fileExtension: string;
        elementCount: number;
    }, {
        bucketName: string;
        bucketPath: string;
        fileExtension: string;
        elementCount: number;
    }>>;
}>, "timestamp" | "recordId" | "jobId" | "traceId">, "strip", z.ZodTypeAny, {
    success: boolean;
    confidence: number;
    elementResult: {
        bucketName: string;
        bucketPath: string;
        fileExtension: string;
        elementCount: number;
    } | null;
    error?: {
        code: number;
        message: string;
    } | null | undefined;
}, {
    success: boolean;
    confidence: number;
    elementResult: {
        bucketName: string;
        bucketPath: string;
        fileExtension: string;
        elementCount: number;
    } | null;
    error?: {
        code: number;
        message: string;
    } | null | undefined;
}>, z.ZodObject<Omit<z.objectUtil.extendShape<{
    traceId: z.ZodString;
    recordId: z.ZodString;
    jobId: z.ZodString;
    timestamp: z.ZodNullable<z.ZodString>;
    success: z.ZodBoolean;
    confidence: z.ZodNumber;
    error: z.ZodNullable<z.ZodOptional<z.ZodObject<{
        code: z.ZodNumber;
        message: z.ZodString;
    }, "strip", z.ZodTypeAny, {
        code: number;
        message: string;
    }, {
        code: number;
        message: string;
    }>>>;
}, {
    fileResult: z.ZodNullable<z.ZodObject<{
        bucketName: z.ZodString;
        bucketPath: z.ZodString;
        fileExtension: z.ZodString;
        fileType: z.ZodString;
    }, "strip", z.ZodTypeAny, {
        bucketName: string;
        fileType: string;
        bucketPath: string;
        fileExtension: string;
    }, {
        bucketName: string;
        fileType: string;
        bucketPath: string;
        fileExtension: string;
    }>>;
}>, "timestamp" | "recordId" | "jobId" | "traceId">, "strip", z.ZodTypeAny, {
    success: boolean;
    confidence: number;
    fileResult: {
        bucketName: string;
        fileType: string;
        bucketPath: string;
        fileExtension: string;
    } | null;
    error?: {
        code: number;
        message: string;
    } | null | undefined;
}, {
    success: boolean;
    confidence: number;
    fileResult: {
        bucketName: string;
        fileType: string;
        bucketPath: string;
        fileExtension: string;
    } | null;
    error?: {
        code: number;
        message: string;
    } | null | undefined;
}>]>;
export type WorkerMessageHandlerResult = z.infer<typeof WorkerMessageHandlerResult>;
